Skip to main content
Resource Center/Resource Pool/VM Instance Operations
GETVM Instance OperationsSince 0.6SynchronousAuth Required

QueryVmSchedHistory

QueryVmSchedHistory

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • inventoriesListRequired

    See inventories

    • vmInstanceUuidStringRequired

      The VM UUID.

    • accountUuidStringRequired

      The account UUID.

    • schedTypeStringRequired

      No description provided.

    • successBooleanRequired

      操作是否成功。

    • lastHostUuidStringRequired

      最近一次主机UUID。

    • destHostUuidStringRequired

      No description provided.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

GET/zstack//v1/vm/sched-history

/zstack//v1/vm/sched-history

Operation ID

QueryVmSchedHistory

Permalink

Request Example

curl -X GET 'http://{host}/zstack//v1/vm/sched-history' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "id": 0.0, "vmInstanceUuid": "ec8fe40b4b0a38bc8f195bfc8bfc72e9", "accountUuid": "b07dda064256343c894cecfa5d50b42c", "schedType": "VMHA", "success": true, "lastHostUuid": "d4d26f65cfff3fafb98d3da284290455", "destHostUuid": "bc001bb4d762395db4b2ed97c6d6dae3" } ] }

Change History

This API has no change history records yet.

View all change history